Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06611 Crash/Freeze Critical (emulation) Always Jun 8, 2017, 01:12 Mar 21, 2019, 00:26
Tester StHiryu View Status Public Platform MAME (Unofficial Binary)
Assigned To AmatCoder Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver amstrad.cpp
Version 0.185 Fixed in Version 0.208 Build 64-bit
Summary MESS-specific 06611: cpc6128: Can't play the fourth level at "Perico Delgado Maillot Amarillo" in disk version, game stucks in a black screen
Description When you try to play the fourth level "Llegada a meta" selecting it from the menu with the "4" key, or doing by the "Competition; Etapa completa", the game doesn't load. A black screen and the game freezes.

The cassette version works fine, and the disk version works fine in the winape emulator.
Steps To Reproduce 1-Load the cpc6128 with the disk image of the game
2-Type run"disc and press enter
3-Wait the game to load and select at the main menu "Llegada a meta", pressing the 4 key until you see that
Additional Information The disk image can be downloaded from Cpc-power (Perico Delgado Maillot Amarillo (S) (1989) [Original].dsk)
http://www.cpc-power.com/index.php?page=detail&onglet=dumps&num=1620
Flags
Regression Version
Affected Sets / Systems cpc6128
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.16255
AmatCoder
Tester
Mar 20, 2019, 22:24
Fixed with commit: https://github.com/mamedev/mame/commit/4a0b04b31364eecf9fd779155b72ebc4c0ce4435